Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants.SNADataReceivedTypes

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants.SNADataReceivedTypes

Enclosing class:
  SNAConstants

    public static class SNAConstants.SNADataReceivedTypes

extends java.lang.Object

`SNADataReceivedTypes` class represents all the following constants that indicate how data has been received:

  `CM_NO_DATA_RECEIVED`
  `CM_DATA_RECEIVED`
  `CM_COMPLETE_DATA_RECEIVED`
  `CM_INCOMPLETE_DATA_RECEIVED`

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Field Summary
`static int` | `CM_COMPLETE_DATA_RECEIVED`
`static int` | `CM_DATA_RECEIVED`
`static int` | `CM_INCOMPLETE_DATA_RECEIVED`
`static int` | `CM_NO_DATA_RECEIVED`

Constructor Summary
`SNAConstants.SNADataReceivedTypes()`

Method Summary
`static int` | `getCM_COMPLETE_DATA_RECEIVED()`
`static int` | `getCM_DATA_RECEIVED()`
`static int` | `getCM_INCOMPLETE_DATA_RECEIVED()`
`static int` | `getCM_NO_DATA_RECEIVED()`
`static java.lang.String` | `getDataReceivedTypeString(int dataReceivedType)` Returns the dataReceivedType as String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CM_NO_DATA_RECEIVED

    public static final int CM_NO_DATA_RECEIVED

See Also:
  Constant Field Values

### CM_DATA_RECEIVED

    public static final int CM_DATA_RECEIVED

See Also:
  Constant Field Values

### CM_COMPLETE_DATA_RECEIVED

    public static final int CM_COMPLETE_DATA_RECEIVED

See Also:
  Constant Field Values

### CM_INCOMPLETE_DATA_RECEIVED

    public static final int CM_INCOMPLETE_DATA_RECEIVED

See Also:
  Constant Field Values

Constructor Detail

### SNAConstants.SNADataReceivedTypes

    public SNAConstants.SNADataReceivedTypes()

Method Detail

### getCM_NO_DATA_RECEIVED

    public static final int getCM_NO_DATA_RECEIVED()

  Returns:
    CM_NO_DATA_RECEIVED

### getCM_DATA_RECEIVED

    public static final int getCM_DATA_RECEIVED()

  Returns:
    CM_DATA_RECEIVED

### getCM_COMPLETE_DATA_RECEIVED

    public static final int getCM_COMPLETE_DATA_RECEIVED()

  Returns:
    CM_COMPLETE_DATA_RECEIVED

### getCM_INCOMPLETE_DATA_RECEIVED

    public static final int getCM_INCOMPLETE_DATA_RECEIVED()

  Returns:
    CM_INCOMPLETE_DATA_RECEIVED

### getDataReceivedTypeString

    public static final java.lang.String getDataReceivedTypeString(int dataReceivedType)

  Returns the dataReceivedType as String

  Parameters:
    `dataReceivedType` - The dataReceivedType in int
  Returns:
    The dataReceivedType as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.